Page MenuHomePhabricator

decom neon (shutdown neon (icinga) after it has been replaced )
Closed, ResolvedPublic

Description

neon (icinga) is on precise, but should be jessie

Details

Related Gerrit Patches:

Event Timeline

Dzahn created this task.Jan 28 2016, 12:46 AM
Dzahn renamed this task from upgrade neon (icinga) to upgrade neon (icinga) to jessie.
Dzahn raised the priority of this task from to Needs Triage.
Dzahn updated the task description. (Show Details)
Dzahn added projects: Operations, Icinga.
Dzahn set Security to None.
Dzahn added subscribers: Krenair, Ricordisamoa, hashar and 4 others.
hashar removed a subscriber: hashar.Feb 1 2016, 1:21 PM

@akosiaris would it be helpful if i'd request a separate misc. machine and put the neon roles on a jessie machine, (while not touching neon), then see if we can replace it?

@Dzahn. We 've already got replacement boxes.

See T121583 and T121582 respectively for codfw and eqiad. But don't just reuse einsteinium to replace neon, the idea is to manage to kill neon this quarter.

Andrew assigned this task to Dzahn.Apr 14 2016, 9:01 PM
Andrew triaged this task as Medium priority.

Change 284264 had a related patch set uploaded (by Dzahn):
add tegmen and einsteinium to site.pp

https://gerrit.wikimedia.org/r/284264

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 7:07 PM

Change 284264 merged by Dzahn:
add tegmen and einsteinium to site.pp

https://gerrit.wikimedia.org/r/284264

Dzahn added a comment.Apr 19 2016, 7:57 PM

@Dzahn. We 've already got replacement boxes.
But don't just reuse einsteinium to replace neon, the idea is to manage to kill neon this quarter.

What does the "kill but don't just replace" mean? We still want icinga on it, right?

Change 284277 had a related patch set uploaded (by Dzahn):
icinga: put role on einsteinium for testing

https://gerrit.wikimedia.org/r/284277

@Dzahn. We 've already got replacement boxes.
But don't just reuse einsteinium to replace neon, the idea is to manage to kill neon this quarter.

What does the "kill but don't just replace" mean? We still want icinga on it, right?

My fault:

s/neon/icinga/, s/kill/replace/

So the idea is to get rid of icinga (and neon). So no, we don't want icinga on einsteinium.

Change 284277 abandoned by Dzahn:
icinga: put role on einsteinium for testing

https://gerrit.wikimedia.org/r/284277

Dzahn added a comment.Apr 20 2016, 3:10 PM

Oh, ok. but we know what will replace Icinga?

Dzahn removed Dzahn as the assignee of this task.Apr 25 2016, 11:32 PM

technically this bug is invalid. we will not do this. we will just setup einsteinium and tegmen with shinken and one day shut this down

Dzahn renamed this task from upgrade neon (icinga) to jessie to shutdown neon (icinga) after it has been replaced with shinken.Apr 25 2016, 11:33 PM
Dzahn edited projects, added Shinken; removed Patch-For-Review.

Do we have/need a separate ticket for migrating from icinga to shinken?

Dzahn changed the task status from Stalled to Open.Oct 27 2016, 9:57 PM

neon has been replaced with einsteinium and tegmen, which runs a newer icinga on jessie. renaming this ticket again and using it as a decom ticket. the initial purpose was to shutdown a precise instance.

Dzahn renamed this task from shutdown neon (icinga) after it has been replaced with shinken to decom neon (shutdown neon (icinga) after it has been replaced ).Oct 27 2016, 9:59 PM
Dzahn claimed this task.

Change 318437 had a related patch set uploaded (by Dzahn):
remove neon from puppet/netboot/dhcp

https://gerrit.wikimedia.org/r/318437

Change 318439 had a related patch set uploaded (by Dzahn):
icinga: remove ServerAlias with hardcoded hostname

https://gerrit.wikimedia.org/r/318439

Change 318442 had a related patch set uploaded (by Dzahn):
icinga: remove pre-jessie conditional from monitoring::group

https://gerrit.wikimedia.org/r/318442

Change 318444 had a related patch set uploaded (by Dzahn):
remove neon.wikimedia.org, keep neon.mgmt

https://gerrit.wikimedia.org/r/318444

Change 318439 merged by Alexandros Kosiaris:
icinga: remove ServerAlias with hardcoded hostname

https://gerrit.wikimedia.org/r/318439

Change 318437 merged by Dzahn:
remove neon from puppet/netboot/dhcp/network

https://gerrit.wikimedia.org/r/318437

Mentioned in SAL (#wikimedia-operations) [2016-11-10T20:33:55Z] <mutante> neon - deactivated puppet node, scheduled icinga downtime, shutdown server permanently (T125023)

Change 318444 merged by Dzahn:
remove neon.wikimedia.org, keep neon.mgmt

https://gerrit.wikimedia.org/r/318444

The only related patch left would be https://gerrit.wikimedia.org/r/#/c/318442/1/modules/monitoring/manifests/group.pp

but that can be done later.

Dzahn closed this task as Resolved.Nov 10 2016, 10:13 PM

resolving, workflow continues in subtask for dc-ops T125023.

Change 318442 merged by Dzahn:
icinga: remove pre-jessie conditional from monitoring::group

https://gerrit.wikimedia.org/r/318442